<style scoped lang="less">

  @base-ring: 200px;

  .loader {
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
  }

  .rings {
    position: relative;
    width: 400px;
    height: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
  }

  .ring {
    border-radius: 50%;
    border: 1px solid var(--gray-light);
    display: block;
    position: absolute;
    transition: all 5s linear;
  }

</style>


<template>

  <div class="loader pulsate">

    <div class="rings">
      <i v-for="(ring, index) in rings"
         :style="{ width: ring.size + 'px', height: ring.size + 'px', some: index}"
         :class="['ring', index]"
      />

    </div>

  </div>

</template>

<script>

  export default {
    name: 'loader',
    data() {

      return {
        rings: [
          { size: 200, },
          { size: 280, },
          { size: 360, }
        ]
      }
    },
    mounted() {
      document.body.classList.add( 'overflow-hidden' )
    },
    beforeDestroy() {
      document.body.classList.remove('overflow-hidden')
    }
  }

</script>
